## 任务说明
> 完成了前端的页面还原度、浏览器适配及动效交互等提升用户体验的工作之后，就需要通过与后端的协同来实现业务相关数据的写入和读取了。后端服务并不是从一开始就需要实现诸如分布式、高并发、幂等性等高级特性的，反而最基础的可靠性、可扩展性、易维护性在接口开发的初期就需要给予足够的重视和充分的考虑，否则的话，等到了系统增长到一定规模，再想回过头来修改、扩展这些接口，代价将会是当初开发时的十几倍、几十倍，甚至已经完全不可维护了。

## 知识点
- 至少学习掌握一种进程外缓存技术
- 了解并掌握接口参数校验的作用
- 掌握密码盐的机制及使用
- 能熟练自定义异常及处理接口异常
- 通过版本管理的方式实现接口可扩展性
- 了解接口状态码的意义并设计结构合理的状态码
- 通过封装响应数据实现返回值的统一
